package rocks.zipcode.quiz5.collections;

import rocks.zipcode.quiz5.objectorientation.account.Account;
import rocks.zipcode.quiz5.objectorientation.account.BankAccount;

import java.util.*;

/**
 * @author leon on 27/12/2018.
 */
public class Bank {
    private List<BankAccount> accounts;

    public Bank() {
        this.accounts = new LinkedList<>();
    }

    public BankAccount removeBankAccountByIndex(Integer indexNumber) {
        return accounts.remove((int) indexNumber);
    }

    public void addBankAccount(BankAccount bankAccount) {
        accounts.add(bankAccount);
    }

    public Boolean containsBankAccount(BankAccount bankAccount) {
        return accounts.contains(bankAccount);
    }
}
