package rocks.zipcode.quiz5.collections;

import java.util.*;

public class WordCounter {
    List<String> words;
    Map<String, Integer> wordCountMap;

    public WordCounter(String... strings) {
        this.words = new ArrayList<>();
        Collections.addAll(this.words, strings);

        this.wordCountMap = new HashMap<>();
    }

    public Map<String, Integer> getWordCountMap() {
        for (String word : this.words) {
            Integer wordCount = wordCountMap.getOrDefault(word, 0);
            wordCountMap.put(word, wordCount + 1);
        }
        return wordCountMap;
    }
}
